Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572118 - ERROR - node_sync SDS detection failed: need more than 0 values to unpack - ValueError
Summary: ERROR - node_sync SDS detection failed: need more than 0 values to unpack - V...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Jeff Brown
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-26 08:40 UTC by Daniel Horák
Modified: 2018-09-04 07:06 UTC (History)
5 users (show)

Fixed In Version: tendrl-commons-1.6.3-4.el7rhgs
Doc Type: Bug Fix
Doc Text:
Cause: RHGSWA fails with ansible version 2.5.2 Consequence: RHGSWA ansible actions fail and hence node-agent service fails to collect any data Fix: Support Ansible 2.5.2 by patching the ansible runner util in tendrl-commons Result: RHGSWA works correctly with ansible 2.5.2 and does not fail to collect data/metrics
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:23 UTC

Description Daniel Horák 2018-04-26 08:40:03 UTC
Description of problem:
  /var/log/messages on RHGS WA server contains lots of errors like this
  (split to multiple lines for better readability):
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  Apr 26 04:20:35 dahorak-usm1-server journal: 2018-04-26 08:20:35.454841+00:00
  - node_agent 
  - /usr/lib/python2.7/site-packages/tendrl/node_agent/node_sync/sds_detect.py:263 
  - sync - ERROR - node_sync SDS detection failed: need more than 0 values to unpack 
  - ValueError:
    [{  u'function': u'__bootstrap',
        u'line': 785,
        u'file': u'/usr/lib64/python2.7/threading.py',
        u'statement': u'self.__bootstrap_inner()'},
      { u'function': u'__bootstrap_inner',
        u'line': 812,
        u'file': u'/usr/lib64/python2.7/threading.py',
        u'statement': u'self.run()'},
      { u'function': u'run',
        u'line': 765,
        u'file': u'/usr/lib64/python2.7/threading.py',
        u'statement': u'self.__target(*self.__args,
        **self.__kwargs)'},
      { u'function': u'sync',
        u'line': 41,
        u'file': u'/usr/lib/python2.7/site-packages/tendrl/node_agent/node_sync/sds_detect.py',
        u'statement': u'sds_details = plugin.discover_storage_system()'},
      { u'function': u'discover_storage_system',
        u'line': 48,
        u'file': u'/usr/lib/python2.7/site-packages/tendrl/node_agent/discovery/sds/plugins/discover_gluster_sds_details.py',
        u'statement': u'cluster_id,
        gfs_peers = self._derive_cluster_id()'}]
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Version-Release number of selected component (if applicable):
  tendrl-ansible-1.6.3-2.el7rhgs.noarch
  tendrl-api-1.6.3-2.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-2.el7rhgs.noarch
  tendrl-commons-1.6.3-2.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-1.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-1.el7rhgs.noarch
  tendrl-node-agent-1.6.3-2.el7rhgs.noarch
  tendrl-notifier-1.6.3-2.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-1.el7rhgs.noarch


How reproducible:
  100%

Steps to Reproduce:
1. Install and configure Gluster cluster
2. Install and configure RHGS WA
3. Import Gluster cluster into RHGS WA
4. check /var/log/messages on RHGS WA Server

Actual results:
  The log contains lots of errors mentioned above.

Expected results:
  There should be no such errors in the logs.

Additional info:

Comment 1 gowtham 2018-05-02 07:29:58 UTC
Rohan this because of ansible version problem, Martin can you please update ansible version and then recheck it. we actually did some fix to work tendrl with new ansible version. It won't work with an old version. please update ansible version of server and storage nodes and try it again. I faced the same issue with an old version.

Comment 2 gowtham 2018-05-02 07:32:31 UTC
For the latest version, this problem has occurred so we did some change. So this is fixed in new release. Please make sure you are using new release and a new version of Ansible.
Rohan, please comment here.

Comment 10 Daniel Horák 2018-05-15 13:57:24 UTC
Tested and VERIFIED on few clusters, there is no such sync error in
/var/log/messages.

Version-Release number of selected component:
  Red Hat Enterprise Linux Server release 7.5 (Maipo)

  # rpm -qa | grep -e tendrl -e etcd -e ansbile -e collect | sort
  collectd-5.7.2-3.1.el7rhgs.x86_64
  collectd-ping-5.7.2-3.1.el7rhgs.x86_64
  etcd-3.2.7-1.el7.x86_64
  libcollectdclient-5.7.2-3.1.el7rhgs.x86_64
  libcollection-0.7.0-29.el7.x86_64
  python-etcd-0.4.5-2.el7rhgs.noarch
  rubygem-etcd-0.3.0-2.el7rhgs.noarch
  tendrl-ansible-1.6.3-3.el7rhgs.noarch
  tendrl-api-1.6.3-3.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
  tendrl-commons-1.6.3-4.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
  tendrl-node-agent-1.6.3-4.el7rhgs.noarch
  tendrl-notifier-1.6.3-2.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-1.el7rhgs.noarch

>> VERIFIED

Comment 13 errata-xmlrpc 2018-09-04 07:05:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.